Bug 152437 - CAN-2005-0709 mysql-server update needed for LACD (CAN-2005-0710 CAN-2005-0711)
CAN-2005-0709 mysql-server update needed for LACD (CAN-2005-0710 CAN-2005-0711)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mysql (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-29 10:16 EST by Josh Bressers
Modified: 2013-07-02 23:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-05 11:02:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-03-29 10:16:24 EST
The following issues need to be fixed in the RHEL3 LACD mysql-server package:

(CAN-2005-0711)
Description of problem:
If an authenticated user has CREATE TEMPORARY TABLE privileges on any
existent database, a symlink attack is possible. 

Reported to vulnwatch.org by Stefano Di Paola on 11 Mar 2005

Version-Release number of selected component (if applicable):
mysql-4.1.7-5.RHEL4.1

How reproducible:
Requires some luck to guess name that will be used for temp file,
but unfortunately that's fairly predictable.


(CAN-2005-0709 CAN-2005-0710)
Description of problem:
MySQL allows users with very low privileges to create user-defined
functions that reference code in loadable shared libraries.  Obviously
this creates a risk of users being able to cause the server to execute
arbitrary code.  There are some rather ad-hoc restrictions intended to
prevent misuse of the feature, but Stefano Di Paola found two
different ways to create problems anyway: you can call an arbitrary
function belonging to any standard system library, and you can
circumvent the check against giving an absolute path to a library.
Comment 1 foobarra 2005-03-30 08:42:42 EST
For the casual reader, currently, RHEL-3 versions of the MySQL server have not
been patched for the vulnerability announced in:

http://rhn.redhat.com/errata/RHSA-2005-334.html

The only packages released in this errata for RHEL-3 were the client, headers,
and benchmark - the mysql-server RPM was not included, and is still vulnerable
to this attack.
Comment 2 Josh Bressers 2005-04-05 11:02:15 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-348.html

Note You need to log in before you can comment on or make changes to this bug.